import SequenceEvaluator from "./SequenceEvaluator";

export default interface SequenceEvaluatorRepository {

    getSequenceEvaluatorByWebSiteId(sessionId: string): Promise<SequenceEvaluator>;
    createSequenceEvaluator(name: string, sessionId: string, stepList: Array<{name: string, expression: string }>): Promise<SequenceEvaluator>;
    updateSequenceEvaluator(name: string, sessionId: string, stepList: Array<{name: string, expression: string }>): Promise <void>;
    removeSequenceEvaluator(sessionId): Promise<void>;

}
